package com.usky.sas.service.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.usky.sas.domain.SasPic;

@JsonIgnoreProperties(
        ignoreUnknown = true
)
public class SnapEventResult {
    private String method;
    private String id;
    private Integer code;
    private Integer channel;
    private String personCode;
    private SasPic picUrl;

    public SnapEventResult() {
    }

    public String getMethod() {
        return this.method;
    }

    public String getId() {
        return this.id;
    }

    public Integer getCode() {
        return this.code;
    }

    public Integer getChannel() {
        return this.channel;
    }

    public String getPersonCode() {
        return this.personCode;
    }

    public SasPic getPicUrl() {
        return this.picUrl;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public void setChannel(Integer channel) {
        this.channel = channel;
    }

    public void setPersonCode(String personCode) {
        this.personCode = personCode;
    }

    public void setPicUrl(SasPic picUrl) {
        this.picUrl = picUrl;
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof SnapEventResult)) {
            return false;
        } else {
            SnapEventResult other = (SnapEventResult)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$method = this.getMethod();
                Object other$method = other.getMethod();
                if (this$method == null) {
                    if (other$method != null) {
                        return false;
                    }
                } else if (!this$method.equals(other$method)) {
                    return false;
                }

                Object this$id = this.getId();
                Object other$id = other.getId();
                if (this$id == null) {
                    if (other$id != null) {
                        return false;
                    }
                } else if (!this$id.equals(other$id)) {
                    return false;
                }

                Object this$code = this.getCode();
                Object other$code = other.getCode();
                if (this$code == null) {
                    if (other$code != null) {
                        return false;
                    }
                } else if (!this$code.equals(other$code)) {
                    return false;
                }

                Object this$channel = this.getChannel();
                Object other$channel = other.getChannel();
                if (this$channel == null) {
                    if (other$channel != null) {
                        return false;
                    }
                } else if (!this$channel.equals(other$channel)) {
                    return false;
                }

                Object this$personCode = this.getPersonCode();
                Object other$personCode = other.getPersonCode();
                if (this$personCode == null) {
                    if (other$personCode != null) {
                        return false;
                    }
                } else if (!this$personCode.equals(other$personCode)) {
                    return false;
                }

                Object this$picUrl = this.getPicUrl();
                Object other$picUrl = other.getPicUrl();
                if (this$picUrl == null) {
                    if (other$picUrl != null) {
                        return false;
                    }
                } else if (!this$picUrl.equals(other$picUrl)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(Object other) {
        return other instanceof SnapEventResult;
    }

    public int hashCode() {
        int PRIME = 59;
        int result = 1;
        Object $method = this.getMethod();
        result = result * 59 + ($method == null ? 43 : $method.hashCode());
        Object $id = this.getId();
        result = result * 59 + ($id == null ? 43 : $id.hashCode());
        Object $code = this.getCode();
        result = result * 59 + ($code == null ? 43 : $code.hashCode());
        Object $channel = this.getChannel();
        result = result * 59 + ($channel == null ? 43 : $channel.hashCode());
        Object $personCode = this.getPersonCode();
        result = result * 59 + ($personCode == null ? 43 : $personCode.hashCode());
        Object $picUrl = this.getPicUrl();
        result = result * 59 + ($picUrl == null ? 43 : $picUrl.hashCode());
        return result;
    }

    public String toString() {
        return "SnapEventResult(method=" + this.getMethod() + ", id=" + this.getId() + ", code=" + this.getCode() + ", channel=" + this.getChannel() + ", personCode=" + this.getPersonCode() + ", picUrl=" + this.getPicUrl() + ")";
    }
}
